Bug 199007 - Kernel panic when updated from kernel 2.6.16-1.2289_FC6 to kernel 2.6.17-1.2396.fc6
Kernel panic when updated from kernel 2.6.16-1.2289_FC6 to kernel 2.6.17-1.23...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-15 11:52 EDT by Peter Carrero
Modified: 2015-01-04 17:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-07 19:08:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Carrero 2006-07-15 11:52:26 EDT
Description of problem:
had kernel panic when yum-updated from kernel 2.6.16-1.2289_FC6 to kernel
2.6.17-1.2396.fc6

Version-Release number of selected component (if applicable):
2.6.17-1.2396.fc6

How reproducible:
yes

Steps to Reproduce:
1.boot into kernel 2.6.17-1.2396.fc6
2.
3.
  
Actual results:


Expected results:


Additional info:

--
md: created md2
md: bind<hdc3>
md: bind<hdc3>
md: bind<hdc3>
md: runnind: <hda3><hdb3><hdc3>
md: personality for level 5 is not loaded!
md: do_md_run() retuendd -22
md: md2 stopped.
md: unbind<hda3>
md: export_rdev(hda3)
md: unbind<hdb3>
md: export_rdev(hdb3)
md: unbind<hdc3>
md: export_rdev(hdc3)
md: ... autorun DONE.
EXT3-fs: unable to read superblock
mount: error mounting /dev/root on sysroot as ext3: Invalid argument
setuproot: moving /dev failed: No such file or directory
setuproot: error mounting /proc: No such file or directory
setuproot: error mounting /sys: No such file or directory
ERROR unmounting old /proc/bus/usb: No such file or directory
forcing unmount of /proc/bus/usb
switchroot: mount failed: No such file or directory
Kernel panic - not syncing: Attempted to kill init!
Comment 1 Dave Jones 2006-07-15 23:25:33 EDT
broken initrd ? Peter ?
Comment 2 Peter Carrero 2006-07-16 16:13:06 EDT
Dave, you are correct! The problem was on the initrd image.
kernel 2.6.17-1.2336.fc6 gave me the same problem as the 2396 one, but kernel
2.6.16-1.2289-FC6 worked, so I decided to look for the raid5 personality modules.
Guess what? The name of the modules changed after kernel 2.6.16-1.2289! In that
kernel, each personality has its own module and in the subsequent kernels,
personalities 4, 5 and 6 are bundled up in one module.
using 
mkinitrd --with=raid456 <image file> 2.6.17-1.2396.fc6 
and changing the grub.conf file fixed the problem, but now smartd, acpi and some
other services don't start correctly and fail to stop.
Comment 3 Peter Carrero 2006-07-16 16:22:30 EDT
forgot to mention my hd config:
md0 100mb raid1 comprised of hda1, hdb1 with hdc1 as hotspare
md1 3gb raid0 comprised of hda2, hdb2, hdc2
md2 500gb raid5 comprised of hda3, hdb3, hdc3
Comment 4 Jon Stanley 2007-12-30 20:16:18 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!

Note You need to log in before you can comment on or make changes to this bug.